@echo off

set CONNLOVE_VER=2.2.0.0
set CONNLOVE_BUILD=201502200328ea

cd /D "%ProgramFiles%\NeuViewer"

echo.
echo ConnLove
echo.
echo Version: %CONNLOVE_VER%
echo Build: %CONNLOVE_BUILD%
echo.
echo Developed by PureDale, Inc.

echo.
echo Stop any previously running ConnLoves ...
echo.

taskkill.exe /F /FI "WINDOWTITLE eq ConnLove*"

echo.
echo Starting ConnLove ...
echo.

set LOVE_SITE=www.google.com
set CONNLOVE_LOG=%APPDATA%\NeuViewer\ConnLove.log

if "%1" == "/?" goto help

if "%1"=="silent" goto process

if NOT "%1"=="" goto changesite

goto process

:changesite

set LOVE_SITE=%1 %2 %3 %4 %5 %6 %7 %8 %9

goto process

:process

echo. > "%CONNLOVE_LOG%"
echo ConnLove >> "%CONNLOVE_LOG%"
echo. >> "%CONNLOVE_LOG%"
echo Version: %CONNLOVE_VER% >> "%CONNLOVE_LOG%"
echo Build: %CONNLOVE_BUILD% >> "%CONNLOVE_LOG%"
echo. >> "%CONNLOVE_LOG%"
echo Developed by PureDale, Inc. >> "%CONNLOVE_LOG%"
echo. >> "%CONNLOVE_LOG%"
echo ConnLove Logging Session >> "%CONNLOVE_LOG%"
echo Date: >> "%CONNLOVE_LOG%"
date /t  >> "%CONNLOVE_LOG%"
echo Time: >> "%CONNLOVE_LOG%"
time /t >> "%CONNLOVE_LOG%"
echo. >> "%CONNLOVE_LOG%"

start "BearLita Logging" "%ProgramFiles%\NeuViewer\bearlita.exe" "%CONNLOVE_LOG%"

if "%1" == "/route" goto route
if "%2" == "/route" goto route

echo.
echo LOVEing CONNection...
echo.
echo Pinging to Address: %LOVE_SITE%
echo.
echo Please Wait a moment.
echo.

echo. >> "%CONNLOVE_LOG%"
echo LOVEing CONNection... >> "%CONNLOVE_LOG%"
echo. >> "%CONNLOVE_LOG%"
echo Pinging to Address: %LOVE_SITE% >> "%CONNLOVE_LOG%"
echo. >> "%CONNLOVE_LOG%"
echo Please Wait a moment. >> "%CONNLOVE_LOG%"
echo. >> "%CONNLOVE_LOG%"

ping -w 1000 %LOVE_SITE% >> "%CONNLOVE_LOG%"

if ERRORLEVEL 1 goto err

goto goodconn

:err

set LOVE_SITE=www.google.com

echo.
echo LOVEing CONNection...
echo.
echo Pinging to Address: %LOVE_SITE%
echo.
echo Please Wait a moment.
echo.

echo. >> "%CONNLOVE_LOG%"
echo LOVEing CONNection... >> "%CONNLOVE_LOG%"
echo. >> "%CONNLOVE_LOG%"
echo Pinging to Address: %LOVE_SITE% >> "%CONNLOVE_LOG%"
echo. >> "%CONNLOVE_LOG%"
echo Please Wait a moment. >> "%CONNLOVE_LOG%"
echo. >> "%CONNLOVE_LOG%"

@ping -w 1000 "%LOVE_SITE%" >> "%CONNLOVE_LOG%"

if ERRORLEVEL 1 goto errfinal

goto goodconn 

:errfinal

echo.
echo Connection Error!
echo ERROR: NO Connection to the Internet was found.
echo.
echo You were UNABLE to reach:
echo.
echo %LOVE_SITE%

echo. >> "%CONNLOVE_LOG%"
echo Connection Error! >> "%CONNLOVE_LOG%"
echo ERROR: NO Connection to the Internet was found. >> "%CONNLOVE_LOG%"
echo. >> "%CONNLOVE_LOG%"
echo You were UNABLE to reach: >> "%CONNLOVE_LOG%"
echo. >> "%CONNLOVE_LOG%"
echo %LOVE_SITE% >> "%CONNLOVE_LOG%"

"%ProgramFiles%\NeuViewer\messagebox.exe" /ok /title Connection Error! /message ERROR: NO Connection to the Internet was found. /crlf /crlf You were UNABLE to reach: /crlf /crlf %LOVE_SITE%

"%ProgramFiles%\NeuViewer\messagebox.exe" /yesno /title Trace Route /message Would You like to Trace the Route?

if ERRORLEVEL 7 goto veryend

goto route_it 

:goodconn

if NOT "%1"=="silent" goto msg
if NOT "%2"=="silent" goto msg

goto skipmsg

:msg

echo.
echo Connection Established!
echo GOOD: You are Currently ONLINE to the Internet.
echo.
echo You were able to reach:
echo.
echo %LOVE_SITE%

echo.
echo Connection Established! >> "%CONNLOVE_LOG%"
echo GOOD: You are Currently ONLINE to the Internet. >> "%CONNLOVE_LOG%"
echo. >> "%CONNLOVE_LOG%"
echo You were able to reach: >> "%CONNLOVE_LOG%"
echo. >> "%CONNLOVE_LOG%"
echo %LOVE_SITE% >> "%CONNLOVE_LOG%"

"%ProgramFiles%\NeuViewer\messagebox.exe" /ok /title Connection Established! /message GOOD: You are Currently ONLINE to the Internet. /crlf /crlf You were able to reach: /crlf /crlf %LOVE_SITE%

"%ProgramFiles%\NeuViewer\messagebox.exe" /yesno /title Trace Route /message Would You like to Trace the Route?

if ERRORLEVEL 7 goto veryend

goto route_it

:route_it  

tracert %LOVE_SITE% >> "%CONNLOVE_LOG%"

:skipmsg

goto veryend

:help

echo.
echo Usage: conLove.cmd [ { New Love Site Address } ] [ silent ]
echo.
echo Description: Love your internet connection and display result.
echo Default Love Site: %LOVE_SITE%
echo Silent: Do NOT Stop to show message if Connection is GOOD.
echo Log File: %CONNLOVE_LOG%
echo.
echo Note: All parameters are OPTIONAL.
echo Note: This Program's File Contents may be CAREFULLY edited
echo       to hard code NEW values.
echo.
echo A product of BOCAKEYS, INC.
echo (GBY)
pause

:veryend 