@echo on

set NEUVIEWER_FIREWALL_CMD="%APPDATA%\NeuViewer\firestat.cmd"
set NEUVIEWER_FIREWALL_TXT="%APPDATA%\NeuViewer\firestat.txt"
set NEUVIEWER_FIREWALL_LOG="%APPDATA%\NeuViewer\neuviewer_firewallstat.txt"
set SYSTEM_FIREWALL_LOG="%windir%\system32\LogFiles\Firewall\pfirewall.log"
set BEARLITA_PATH="%ProgramFiles%\NeuViewer\bearlita.exe"

echo NeuViewer Firewall Log > %NEUVIEWER_FIREWALL_LOG%
echo ---------------------- >> %NEUVIEWER_FIREWALL_LOG%
echo. >> %NEUVIEWER_FIREWALL_LOG%
echo Date >> %NEUVIEWER_FIREWALL_LOG%
echo ---- >> %NEUVIEWER_FIREWALL_LOG%

date /t >> %NEUVIEWER_FIREWALL_LOG%
echo. >> %NEUVIEWER_FIREWALL_LOG%

echo Time >> %NEUVIEWER_FIREWALL_LOG%
echo ---- >> %NEUVIEWER_FIREWALL_LOG%

time /t >> %NEUVIEWER_FIREWALL_LOG%
echo. >> %NEUVIEWER_FIREWALL_LOG%

netsh advfirewall show state > %NEUVIEWER_FIREWALL_TXT%

netsh advfirewall show global >> %NEUVIEWER_FIREWALL_LOG%

if ERRORLEVEL 1 goto firewall_std

netsh advfirewall show allprofiles >> %NEUVIEWER_FIREWALL_LOG%

netsh advfirewall show store >> %NEUVIEWER_FIREWALL_LOG%

netsh advfirewall show opmode >> %NEUVIEWER_FIREWALL_LOG%

if ERRORLEVEL 1 goto firewall_std

netsh advfirewall show config >> %NEUVIEWER_FIREWALL_LOG%

netsh advfirewall show state >> %NEUVIEWER_FIREWALL_LOG%

goto firewall_log

:firewall_std

netsh firewall show opmode >> %NEUVIEWER_FIREWALL_LOG%

if ERRORLEVEL 1 goto end

netsh firewall show state > %NEUVIEWER_FIREWALL_TXT%

netsh firewall show config >> %NEUVIEWER_FIREWALL_LOG%

netsh firewall show state >> %NEUVIEWER_FIREWALL_LOG%

:firewall_log

if exist %SYSTEM_FIREWALL_LOG% type %SYSTEM_FIREWALL_LOG% >> %NEUVIEWER_FIREWALL_LOG%

if exist %SYSTEM_FIREWALL_LOG% attrib -r -a -s -h %SYSTEM_FIREWALL_LOG%

if exist %SYSTEM_FIREWALL_LOG% type %SYSTEM_FIREWALL_LOG% >> %NEUVIEWER_FIREWALL_LOG%

if "%1"=="/show" start "NeuViewer - Firewall Log" %BEARLITA_PATH% %NEUVIEWER_FIREWALL_LOG%

:end
